GHSA-8h7p-qjv8-9mp4

Suggest an improvement
Source
https://github.com/advisories/GHSA-8h7p-qjv8-9mp4
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-8h7p-qjv8-9mp4/GHSA-8h7p-qjv8-9mp4.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-8h7p-qjv8-9mp4
Aliases
  • CVE-2018-17060
Published
2022-05-13T01:19:22Z
Modified
2023-11-08T04:00:02.730418Z
Severity
  • 5.3 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
Improper Access Control in Telerik Extensions
Details

Telerik Extensions for ASP.NET MVC (all versions) does not whitelist requests, which can allow a remote attacker to access files inside the server's web directory. NOTE: this product has been obsolete since June 2013.

References

Affected packages

NuGet / TelerikMvcExtensions

Package

Name
TelerikMvcExtensions
View open source insights on deps.dev
Purl
pkg:nuget/TelerikMvcExtensions

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
2013.1.219